SDL_SubmitGPUCommandBufferAndAcquireFence(3)

NAME
SDL_SubmitGPUCommandBufferAndAcquireFence - Submits a command buffer so its commands can be processed on the GPU, and acquires a fence associated with the command buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GPUFence * SDL_SubmitGPUCommandBufferAndAcquireFence(
    SDL_GPUCommandBuffer *command_buffer);

DESCRIPTION
You must release this fence when it is no longer needed or it will cause a leak. It is invalid to use the command buffer after this is called.

This must be called from the thread the command buffer was acquired on.

All commands in the submission are guaranteed to begin executing before any command in a subsequent submission begins executing.

FUNCTION PARAMETERS

command_buffer
    a command buffer.

RETURN VALUE
( SDL_GPUFence
 *) Returns a fence associated with the command buffer, or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AcquireGPUCommandBuffer(3), •(3), SDL_WaitAndAcquireGPUSwapchainTexture(3), •(3), SDL_AcquireGPUSwapchainTexture(3), •(3), SDL_SubmitGPUCommandBuffer(3), •(3), SDL_ReleaseGPUFence(3)